## baloo-widgets 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(KF_MIN_VERSION "6.4.0")

# ECM setup
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

include(QtVersionOption)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMInstallIcons)

include(FeatureSummary)
include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(CMakePackageConfigHelpers)
include(ECMDeprecationSettings)


find_package(Qt6 REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo Service)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 6
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"

                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfigVersion.cmake")
ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 6.4
    )

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

ki18n_install(po)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFBalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF6BalooWidgetsTargets
        NAMESPACE KF6::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF6BalooWidgetsTargets.cmake
)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

file(GLOB_RECURSE CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

add_subdirectory(filepropertiesplugin)
add_subdirectory(tagsfileitemactionplugin)

add_library(KF6BalooWidgets)
add_library(KF6::BalooWidgets ALIAS KF6BalooWidgets)
set_target_properties(KF6BalooWidgets PROPERTIES
    VERSION     ${BALOO_WIDGETS_VERSION}
    SOVERSION   ${BALOO_WIDGETS_SOVERSION}
    EXPORT_NAME BalooWidgets
)

target_sources(KF6BalooWidgets PRIVATE
    extractor.cpp
    extractorutil_p.h
    filefetchjob.cpp
    filefetchjob.h
    filemetadataconfigwidget.cpp
    filemetadataconfigwidget.h
    filemetadataprovider.cpp
    filemetadataprovider.h
    filemetadatautil.cpp
    filemetadatautil_p.h
    filemetadatawidget.cpp
    filemetadatawidget.h
    kblocklayout.cpp
    kblocklayout.h
    kcommentwidget.cpp
    kcommentwidget_p.h
    keditcommentdialog.cpp
    keditcommentdialog.h
    kedittagsdialog.cpp
    kedittagsdialog_p.h
    metadatafilter.cpp
    metadatafilter.h
    ondemandextractor.cpp
    ondemandextractor.h
    tagcheckbox.cpp
    tagcheckbox.h
    tagwidget.cpp
    tagwidget.h
    widgetfactory.cpp
    widgetfactory.h
)

ecm_qt_declare_logging_category(KF6BalooWidgets
    HEADER "widgetsdebug.h"
    IDENTIFIER "Baloo::WIDGETS"
    DEFAULT_SEVERITY Warning
    CATEGORY_NAME "org.kde.baloo.widgets"
    DESCRIPTION "Baloo Widgets"
    EXPORT BALOO_WIDGETS
)

target_link_libraries(KF6BalooWidgets
  PUBLIC
  Qt6::Widgets
  Qt6::Core
  KF6::KIOCore # KFileItem
  KF6::CoreAddons # KProcess, KJob

  PRIVATE
  KF6::I18n
  KF6::FileMetaData
  KF6::WidgetsAddons
  KF6::Baloo
  KF6::CoreAddons
  KF6::ConfigGui
  KF6::Service
)

target_include_directories(KF6BalooWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/BalooWidgets>")

ecm_generate_export_header(KF6BalooWidgets
    BASE_NAME BALOO_WIDGETS
    EXPORT_FILE_NAME widgets_export.h
    VERSION ${BALOO_WIDGETS_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 23.08
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

install(TARGETS KF6BalooWidgets EXPORT KF6BalooWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KFBalooWidgets_CamelCase_HEADERS
    HEADER_NAMES
    TagWidget
    FileMetaDataWidget
    FileMetaDataConfigWidget

    PREFIX baloo
    REQUIRED_HEADERS KFBalooWidgets_HEADERS
)

install(FILES
  ${KFBalooWidgets_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BalooWidgets/Baloo
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/widgets_export.h
  ${KFBalooWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/BalooWidgets/baloo
  COMPONENT Devel
)

#
# Extractor Process
#
add_executable(baloo_filemetadata_temp_extractor extractor.cpp)
target_link_libraries(baloo_filemetadata_temp_extractor
  Qt6::Core
  KF6::I18n
  KF6::FileMetaData
)

install(TARGETS baloo_filemetadata_temp_extractor DESTINATION ${KDE_INSTALL_BINDIR})

ecm_qt_install_logging_categories(
    EXPORT BALOO_WIDGETS
    FILE baloo-widgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== src/filepropertiesplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

kcoreaddons_add_plugin(baloofilepropertiesplugin INSTALL_NAMESPACE "kf6/propertiesdialog" SOURCES baloofilepropertiesplugin.cpp baloofilepropertiesplugin.h)

target_link_libraries(baloofilepropertiesplugin
    KF6::I18n
    KF6::KIOWidgets
    KF6::BalooWidgets
)

=== debian/changelog ===
baloo-widgets (4:25.08.1-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 00:33:22 +0000

baloo-widgets (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:17:55 +0000

baloo-widgets (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:52:00 +0000

baloo-widgets (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:32:32 +0000

baloo-widgets (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:47:40 +0000

baloo-widgets (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:38:55 +0000

baloo-widgets (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:23:10 +0000

baloo-widgets (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:51:09 +0000

baloo-widgets (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:54:25 +0000

baloo-widgets (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:45:49 +0000

baloo-widgets (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:43:07 +0000

baloo-widgets (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:43:59 +0000

baloo-widgets (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:15:39 +0000

baloo-widgets (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:54:19 +0000

baloo-widgets (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:07:04 +0000

baloo-widgets (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:42:27 +0000

baloo-widgets (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:10:10 +0000

baloo-widgets (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:56:24 +0000

baloo-widgets (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:52:12 +0000

baloo-widgets (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:33:26 +0000

baloo-widgets (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 18:22:48 +0000

baloo-widgets (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:10:00 +0000

baloo-widgets (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:10:44 +0000

baloo-widgets (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:39:34 +0000

baloo-widgets (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:21:15 +0000

baloo-widgets (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:54:27 +0000

baloo-widgets (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:21:36 +0000

baloo-widgets (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:59:27 +0000

baloo-widgets (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:07:08 +0000

baloo-widgets (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:28:46 +0000

baloo-widgets (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:02:38 +0000

baloo-widgets (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:32:07 +0000

baloo-widgets (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:18:38 +0000

baloo-widgets (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:40:37 +0000

baloo-widgets (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:36:54 +0000

baloo-widgets (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:51:03 +0000

baloo-widgets (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:57 +0000

baloo-widgets (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:01:23 +0000

baloo-widgets (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:10:29 +0000

baloo-widgets (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 11:38:16 +0000

baloo-widgets (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:56 +0000

baloo-widgets (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:41:35 +0000

baloo-widgets (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:30 +0000

baloo-widgets (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:20:37 +0000

baloo-widgets (4:21.04.1-0neon) focal; urgency=medium

  * New release



## baloo-widgets 25.08.1+p24.04+vstable+git20250914.1607

=== debian/changelog ===
baloo-widgets (4:25.08.1+p24.04+vstable+git20250914.1607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:07:08 +0000

## baloo-widgets 25.08.1+p24.04+vstable+git20251001.1157

=== debian/changelog ===
baloo-widgets (4:25.08.1+p24.04+vstable+git20251001.1157-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 11:57:57 +0000

## baloo-widgets 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== src/tagsfileitemactionplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

kcoreaddons_add_plugin(tagsfileitemaction
    SOURCES tagsfileitemaction.cpp tagsfileitemaction.h
    INSTALL_NAMESPACE "kf6/kfileitemaction")

target_link_libraries(tagsfileitemaction
    KF6::KIOWidgets
    KF6::I18n
    KF6::FileMetaData
)

=== debian/changelog ===
baloo-widgets (4:25.08.2-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 08:57:49 +0000

baloo-widgets (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:57:17 +0000

## baloo-widgets 25.08.2+p24.04+vstable+git20251015.1428

=== debian/changelog ===
baloo-widgets (4:25.08.2+p24.04+vstable+git20251015.1428-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:28:53 +0000

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://projects.kde.org/baloo-widgets
Vcs-Git: https://invent.kde.org/neon/kde/baloo-widgets.git
Vcs-Browser: https://invent.kde.org/neon/kde/baloo-widgets
Maintainer: Neon CI <neon@kde.org>

Package: kf6-baloowidgets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Provides: libkf6baloowidgets6, likf6baloowidgets-bin, likf6baloowidgets-data
Replaces: libkf5baloowidgets-bin (<< 4:24.02), libkf5baloowidgets5 (<< 4:24.02)
Breaks: libkf5baloowidgets-bin (<< 4:24.02), libkf5baloowidgets5 (<< 4:24.02)
Depends: kf6-kfilemetadata, ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

Package: kf6-baloowidgets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Provides: libkf6baloowidgets-dev
Replaces: libkf6baloowidgets-dev
Depends: kf6-baloowidgets (= ${binary:Version}), kf6-kio-dev, ${misc:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: all
Depends: kf6-baloowidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloowidgets-dev
Architecture: all
Depends: kf6-baloowidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: likf6baloowidgets-bin
Architecture: all
Depends: kf6-baloowidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6baloowidgets-data
Architecture: all
Depends: kf6-baloowidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5baloowidgets5
Architecture: all
Depends: kf6-baloowidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5baloowidgets-dev
Architecture: all
Depends: kf6-baloowidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	# Disable unit tests at build time
	:

## baloo-widgets 25.08.2+p24.04+vstable+git20251019.0400

=== debian/changelog ===
baloo-widgets (4:25.08.2+p24.04+vstable+git20251019.0400-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:00:43 +0000

## baloo-widgets 25.08.2+p24.04+vstable+git20251031.0832

=== debian/changelog ===
baloo-widgets (4:25.08.2+p24.04+vstable+git20251031.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 08:32:15 +0000

## baloo-widgets 25.08.3

=== debian/changelog ===
baloo-widgets (4:25.08.3-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 22:19:29 +0000

baloo-widgets (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:57 +1000

## baloo-widgets 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,6 @@
     kblocklayout.h
     kcommentwidget.cpp
     kcommentwidget_p.h
-    keditcommentdialog.cpp
-    keditcommentdialog.h
     kedittagsdialog.cpp
     kedittagsdialog_p.h
     metadatafilter.cpp

=== src/tagsfileitemactionplugin/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,5 @@
     KF6::KIOWidgets
     KF6::I18n
     KF6::FileMetaData
+    KF6::BalooWidgets
 )

=== debian/changelog ===
baloo-widgets (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:48:49 +0000

baloo-widgets (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:10:13 +0000

baloo-widgets (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:42 +0100

baloo-widgets (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:49:58 +0100

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.4.0~),
               gettext,
               libkf6baloo-dev (>= 6.4.0~),
               libkf6config-dev (>= 6.4.0~),
               libkf6filemetadata-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.4.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6service-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://api.kde.org/baloo-widgets/html/index.html
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets-bin,
Replaces: libkf5baloowidgets-bin,
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6kio-dev (>= 6.4.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
Recommends: libbaloowidgets-bin,
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

## baloo-widgets 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
baloo-widgets (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:57:13 +0000

## baloo-widgets 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
baloo-widgets (4:25.12.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 17:39:04 +0000

baloo-widgets (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:35 +1000

## baloo-widgets 25.12.0+p24.04+vstable+git20251226.0335

=== debian/changelog ===
baloo-widgets (4:25.12.0+p24.04+vstable+git20251226.0335-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:35:04 +0000

## baloo-widgets 25.12.0+p24.04+vstable+git20251231.0420

=== debian/changelog ===
baloo-widgets (4:25.12.0+p24.04+vstable+git20251231.0420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 04:20:08 +0000

## baloo-widgets 25.12.0+p24.04+vunstable+git20251208.2215

=== debian/changelog ===
baloo-widgets (4:25.12.0+p24.04+vunstable+git20251208.2215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 22:15:58 +0000

## baloo-widgets 25.12.0+p24.04+vunstable+git20251231.0431

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

## baloo-widgets 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(baloo-widgets VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
baloo-widgets (4:25.12.1-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Jan 2026 22:54:30 -0800

baloo-widgets (4:25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Point upstream source to invent git repo.

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Bump Standards-Version to 4.7.3 (No changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 11 Jan 2026 00:18:21 +0100

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.4.0~),
               gettext,
               libkf6baloo-dev (>= 6.4.0~),
               libkf6config-dev (>= 6.4.0~),
               libkf6filemetadata-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.4.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6service-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.7.0~)
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloowidgets-bin
Replaces: libkf5baloowidgets-bin
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6kio-dev (>= 6.4.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloowidgets5
Replaces: libkf5baloowidgets5
Recommends: libbaloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DBUILD_WITH_QT6=ON

override_dh_auto_test:
	# Disable unit tests at build time
	:

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## baloo-widgets 25.12.1+p24.04+vstable+git20260107.0152

=== debian/changelog ===
baloo-widgets (4:25.12.1+p24.04+vstable+git20260107.0152-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:52:43 +0000

baloo-widgets (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:56 +1000

## baloo-widgets 25.12.1+p24.04+vstable+git20260128.2114

=== debian/changelog ===
baloo-widgets (4:25.12.1+p24.04+vstable+git20260128.2114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 21:14:44 +0000

## baloo-widgets 25.12.1+p24.04+vstable+git20260130.0829

=== debian/changelog ===
baloo-widgets (4:25.12.1+p24.04+vstable+git20260130.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:29:49 +0000

## baloo-widgets 25.12.1+p24.04+vunstable+git20260107.0155

=== debian/changelog ===
baloo-widgets (4:25.12.1+p24.04+vunstable+git20260107.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 01:55:22 +0000

## baloo-widgets 25.12.1+p24.04+vunstable+git20260203.2309

=== debian/changelog ===
baloo-widgets (4:25.12.1+p24.04+vunstable+git20260203.2309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 23:09:29 +0000

## baloo-widgets 25.12.2

=== debian/changelog ===
baloo-widgets (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:16:25 +0000

baloo-widgets (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:29:25 +0000

baloo-widgets (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Jan 2026 06:58:22 +0000

baloo-widgets (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:55:32 +0000

baloo-widgets (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:12:05 +0000

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.4.0~),
               gettext,
               libkf6baloo-dev (>= 6.4.0~),
               libkf6config-dev (>= 6.4.0~),
               libkf6filemetadata-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.4.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6service-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/frameworks/baloo
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo-widgets
Rules-Requires-Root: no

Package: libbaloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets-bin,
Replaces: libkf5baloowidgets-bin,
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libbaloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6baloowidgets6 (= ${binary:Version}),
         libkf6kio-dev (>= 6.4.0~),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf6baloowidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6filemetadata-bin, ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5baloowidgets5, libkf5baloowidgets-data,
Replaces: libkf5baloowidgets5, libkf5baloowidgets-data
Recommends: libbaloowidgets-bin,
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
